//<?php
/* To prevent PHP errors (extending class does not exist) revealing path */
if (!\defined('\IPS\SUITE_UNIQUE_KEY')) {
    exit;
}

/**
 * @mixin \IPS\Content\ShareServices
 */
abstract class neappwhatsapp_hook_code_content_shareservices extends _HOOK_CLASS_ {

    /**
     * Get services
     *
     * @return	array
     */
    public static function services() {
	try
	{
	        $return = parent::services();
	        $return['Whatsapp'] = 'IPS\neappwhatsapp\WhatsappShareServices';
	        return $return;
	}
	catch ( \Error | \RuntimeException $e )
	{
		if( \defined( '\IPS\DEBUG_HOOKS' ) AND \IPS\DEBUG_HOOKS )
		{
			\IPS\Log::log( $e, 'hook_exception' );
		}

		if ( method_exists( get_parent_class(), __FUNCTION__ ) )
		{
			return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
		}
		else
		{
			throw $e;
		}
	}
    }

    /**
     * Add any additional form elements to the configuration form. These must be setting keys that the service configuration form can save as a setting.
     *
     * @param	\IPS\Helpers\Form				$form		Configuration form for this service
     * @param	\IPS\core\ShareLinks\Service	$service	The service
     * @return	void
     */
    public static function modifyForm(\IPS\Helpers\Form &$form, $service) {
	try
	{
	        $form->add(new \IPS\Helpers\Form\YesNo('neapp_whatsapp_web_desktop', \IPS\Settings::i()->neapp_whatsapp_web_desktop, TRUE, array()));
	}
	catch ( \Error | \RuntimeException $e )
	{
		if( \defined( '\IPS\DEBUG_HOOKS' ) AND \IPS\DEBUG_HOOKS )
		{
			\IPS\Log::log( $e, 'hook_exception' );
		}

		if ( method_exists( get_parent_class(), __FUNCTION__ ) )
		{
			return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
		}
		else
		{
			throw $e;
		}
	}
    }

}
